postgresql-client-9.6.2-1: Where is the libpq-fe.h include?

Marco Atzeri marco.atzeri@gmail.com
Mon Mar 20 08:45:00 GMT 2017


On 20/03/2017 08:52, Francis ANDRE wrote:
> Hi
>
> I installed both the file:
>
> //C:/cygwin/var/cache/setup/http%3a%2f%2fcygwin.mirror.constant.com%2f/x86/release/postgresql/postgresql-client/postgresql-client-9.6.2-1.tar.xz
>
> and the file
>
>  file://C:/cygwin/var/cache/setup/http%3a%2f%2fcygwin.mirror.constant.com%2f/x86/release/postgresql/postgresql-devel/postgresql-devel-9.6.2-1.tar.xz
>
> but none of these installations provide the libpq-fe.h include.
>
> [FrancisANDRE@idefix ~ ]$find /usr/include -name "*libpq-*.*"
> /usr/include/postgresql/server/libpq/libpq-be.h
> /usr/include/postgresql/server/libpq/libpq-fs.h
>
> How can I get this include?
>
> Thank for any pointer.
>
> FA
>

Use "https://cygwin.com/packages/" or "cygcheck -p  libpq-fe.h"

As you can see from:
https://cygwin.com/cgi-bin2/package-grep.cgi?grep=libpq-fe.h&arch=x86_64

you need to install libpq-devel-9.6.2-1

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list